Announcement

Collapse
No announcement yet.

Build Failed?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Build Failed?

    Using UE4 4.25.2
    Latest VRAY

    output log:

    UATHelper: Packaging (Windows (64-bit)): ********** BUILD COMMAND STARTED **********
    UATHelper: Packaging (Windows (64-bit)): Running: C:\Program Files\Epic Games\UE_4.25\Engine\Binaries\DotNET\UnrealBuildTool.exe CENTRAL_3 Win64 Development -Project="C:\Users\scottf\OneDrive - JPC Architects, LLC\Documents\Unreal Projects\CENTRAL_3\CENTRAL_3.uproject" "C:\Users\scottf\OneDrive - JPC Architects, LLC\Documents\Unreal Projects\CENTRAL_3\CENTR
    AL_3.uproject" -NoUBTMakefiles -remoteini="C:\Users\scottf\OneDrive - JPC Architects, LLC\Documents\Unreal Projects\CENTRAL_3" -skipdeploy -Manifest="C:\Users\scottf\OneDrive - JPC Architects, LLC\Documents\Unreal Projects\CENTRAL_3\Intermediate\Build\Manifest.xml" -NoHotReload -log="C:\Users\scottf\AppData\Roaming\Unreal Engine\AutomationTool\Logs\C+Progra
    m+Files+Epic+Games+UE_4.25\UBT-CENTRAL_3-Win64-Development.txt"
    UATHelper: Packaging (Windows (64-bit)): WARNING: The 'Developer' module type has been deprecated in 4.24. Use 'DeveloperTool' for modules that can be loaded by game/client/server targets in non-shipping configurations, or 'UncookedOnly' for modules that should only be loaded by uncooked editor and program targets (eg. modules containing blueprint nodes)
    UATHelper: Packaging (Windows (64-bit)): C:\Program Files\Epic Games\UE_4.25\Engine\Plugins\UEAnimaLoader\UEAnimaLoader.uplugin: warning: The 'Developer' module type has been deprecated in 4.24.
    PackagingResults: Warning: The 'Developer' module type has been deprecated in 4.24. Use 'DeveloperTool' for modules that can be loaded by game/client/server targets in non-shipping configurations, or 'UncookedOnly' for modules that should only be loaded by uncooked editor and program targets (eg. modules containing blueprint nodes)
    PackagingResults: Warning: The 'Developer' module type has been deprecated in 4.24.
    UATHelper: Packaging (Windows (64-bit)): ERROR: Expecting to find a type to be declared in a module rules named 'VRayForUnrealBase' in UE4Rules, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null. This type must derive from the 'ModuleRules' type defined by Unreal Build Tool.
    PackagingResults: Error: Expecting to find a type to be declared in a module rules named 'VRayForUnrealBase' in UE4Rules, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null. This type must derive from the 'ModuleRules' type defined by Unreal Build Tool.
    UATHelper: Packaging (Windows (64-bit)): Took 1.2994508s to run UnrealBuildTool.exe, ExitCode=6
    UATHelper: Packaging (Windows (64-bit)): UnrealBuildTool failed. See log for more details. (C:\Users\scottf\AppData\Roaming\Unreal Engine\AutomationTool\Logs\C+Program+Files+Epic+Games+UE_4.25\UBT-CENTRAL_3-Win64-Development.txt)
    UATHelper: Packaging (Windows (64-bit)): AutomationTool exiting with ExitCode=6 (6)
    UATHelper: Packaging (Windows (64-bit)): BUILD FAILED
    Attached Files

    #2
    Hello Sfolts,
    I have the same problem. I have something wrong who look like bug. I'm using the 4.25.2 unreal engine and the 4.30.23 for vray pluggin.
    As soon as i load the vray pluggin, the package project fail with an game exemple scene. Even if i don't have any vray object or material inside the level !?
    I will try with 4.24.3 version.

    Comment


      #3
      I have updated my unreal engine this night with the new 4.25.3 version. And the bug is gone ! Now i can package my project.

      Comment

      Working...
      X